@font-face {
    font-family: NeonNeon;
    src: url(/fonts/Neoneon.otf);
}

@font-face {
    font-family: Poppins;
    src: url(/fonts/Poppins-Medium.ttf);
}

.Modal-content::before {
    content: '';
    top: 20%;
    left: 15%;
    background-color: #c81010;
    -webkit-filter: blur(150px);
    -o-filter: blur(150px);
    filter: blur(150px);
}

.Modal-content::after {
    content: '';
    top: 50%;
    right: 21%;
    background-color: #5b0000;
    -webkit-filter: blur(150px);
    -o-filter: blur(150px);
    filter: blur(150px);
}

.Modal-content:after,
.Modal-content:before {
    width: 150px;
    height: 150px;
    border-radius: 100%;
    position: absolute;
}

.Modal {
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 9999;
    width: 100%;
    height: 100%;
    padding-top: 100px;
    background-color: black;
    background-color: rgba(0, 0, 0, 0.8);
    -webkit-transition: 0.5s;
    transition: all 0.3s linear;
}

.Modal-content {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    font-family:'Heebo', sans-serif;
    position: relative;
    background: linear-gradient(90deg, #1c0a0a 0, #000 50%, #1c0a0a 100%);
    margin: auto;
    padding: 20px;
    border-radius: 6px;
    max-width: 50vw;
    min-height: 50vh;
    color: white !important;
}

span {
    font-family: Poppins, sans-serif;
    font-weight: bold;
}

.modal__title h1 {
    font-family: NeonNeon;
    margin: 0;
    font-weight: 400;
    font-size: 2.75rem;
    text-shadow: -4px -4px 10px #C0C0C0, 4px 4px 10px #C0C0C0;
    color: #fff !important;
}

.modal__title {
    text-align: center;
}

.is-hidden {
    display: none;
}

.is-visuallyHidden {
    opacity: 0;
}

.Close {
    color: #c81010;
    float: right;
    font-size: 16px;
    z-index: 9999;
    position: absolute;
    right: 3%;
    top: 5%;
}

.Close:hover,
.Close:focus {
    color: #5b0000;
    text-decoration: none;
    cursor: pointer;
}

.is-blurred {
    filter: blur(2px);
    -webkit-filter: blur(2px);
}

.border::before {
    right: 0;
    bottom: 0;
    top: 0;
    left: 0;
    position: absolute;
    color: #c81010;
    content: '';
    opacity: .15;
    border-radius: 6px;
    box-shadow: 0 5px 20px;
    margin: .5rem;
}

.border::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 6px;
    border: 3px solid transparent;
    background: -moz-linear-gradient(45deg, #c81010, #5b0000, #c81010, #5b0000) border-box;
    background: -webkit-linear-gradient(45deg, #c81010, #5b0000, #c81010, #5b0000) border-box;
    background: linear-gradient(45deg, #c81010, #5b0000, #c81010, #5b0000) border-box;
    -webkit-mask: linear-gradient(#fff 0 0) padding-box, linear-gradient(#fff 0 0);
    mask-composite: add, add;
    -webkit-mask-composite: destination-out;
    -webkit-mask-composite: source-out;
    mask-composite: exclude;
    background-size: 300% 300%;
    -webkit-animation: 4s infinite alternate animatedgradient;
    animation: 4s infinite alternate animatedgradient;
    margin: .5rem;
}

@keyframes animatedgradient {

    0%,
    100% {
        background-position: 0 50%;
    }

    50% {
        background-position: 100% 50%;
    }
}

.modal__text {
    width: 80%;
    text-align: center;
}

.modal__text p {
    color: #fff !important;
}

.modal__button {
    text-align: center;
}

.modal__button button {
    border: 1px solid #FFFFFF;
    filter: drop-shadow(-4px -4px 10px #C0C0C0) drop-shadow(4px 4px 10px #C0C0C0);
    border-radius: 8px;
    padding: .75rem 1rem;
    background: transparent;
    color: white;
    font-weight: bolder;
    font-size: 1rem;
    cursor: pointer;
    font-family: Poppins;
}

.position {
    position: sticky;
    z-index: 9999;
}

@media only screen and (max-width: 991px){
    .Modal-content{
        max-width: 80vw !important;
    }

    .modal__text p{
        font-size: 1rem !important;
    }

    .Close {
        right: 7% !important;
    }

    .modal__title{
        margin-bottom: 1rem !important;
    }
}